middleclass

A simple OOP library for Lua

It has inheritance, metamethods (operators), class variables and weak mixin support

Versions

3.0.0-17 years ago42 downloads
3.0-17 years ago44 downloads

Dependencies

lua >= 5.1, < 5.3

Dependency for

emma, hyper-ecs, lightdrop, LinkedList, love-release, Luark, Lua-Telegram-Bot, moontastic, rude, sparse-set, typed

Labels